<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/02/2004 *
 * ===============                              Last change: 09/04/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : view.php                                         *
 * -------------------------------------------------------------------- *
 * Short description : View a banner and count his views                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Banner anzeigen und Views zaehlen                *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here (Oh, I hope this is not unsecure? Am I paranoia??? ;-) )
require_once("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action;
$GLOBALS['what'] = ""; $GLOBALS['action'] = "";

// Set module
$GLOBALS['module'] = "view"; $CSS = -1;

// Load the required file(s)
require("inc/config.php");

if (((!empty($_GET['user'])) || (!empty($_GET['reseller']))) && (!empty($_GET['banner']))) {
	// Count banner view... we currently don't need the user's id but maybe
	$VIEW = 1;

	// for later things... ;-)
	$result = SQL_QUERY_ESC("SELECT url FROM "._MYSQL_PREFIX."_refbanner WHERE id=%s LIMIT 1", array(bigintval($_GET['banner'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) 	{
		list($url) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);
		$result = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_refbanner SET counter=counter+1 WHERE id=%s LIMIT 1", array(bigintval($_GET['banner'])), __FILE__, __LINE__);

		$type = substr($url, -3);
		@header ("Content-Type: image/".$type);
		LOAD_URL($url, false);
	} else {
		// Free memory
		SQL_FREERESULT($result);
	}
} else {
	// Do nothing for now
	LOAD_URL (URL."/index.php");
}

// // END - if
?>
